* {
    box-sizing: border-box;
}

html {
    font-size: 62.5%;
    height: 100%;
    font-family: "Tiny5", "Consolas", "Courier New", "Lucida Console", Arial,
        Helvetica, sans-serif;
    background-color: #121212;
    color: #e0e0e0;
}

body {
    display: flex;
    flex-direction: column;
    min-height: 100%;
    font-size: 2rem;
}

@font-face {
    font-family: "Tiny5";
    src: url("/fonts/Tiny5-Regular.ttf") format("truetype");
    font-weight: 400;
    font-style: normal;
}

img {
    display: block;
    margin: 0 auto;
}



/* BUTTONS */
.button {
    display: inline-block;
    text-align: center;
    transition: all 0.2s ease;
    padding: 0.9rem 2rem;
    color: #fff;
    text-decoration: none;
    cursor: pointer;
    background: rgba(23, 10, 103, 0.141);
    box-shadow: 0 0 5px rgba(255, 255, 255, 0.2),
        0 0 8px rgba(255, 255, 255, 0.2);
	border: 1.5px solid #fff;
    border-radius: 5px;
}
.button:hover {
    box-shadow: 0 0 8px rgba(255, 255, 255, 0.7),
        0 0 15px rgba(255, 255, 255, 0.2);
}
.button:active {
    background: rgba(178, 173, 211, 0.503);
    box-shadow: 0 0 12px rgba(255, 255, 255, 0.9),
        0 0 25px rgba(255, 255, 255, 0.4);
}

header {
    background-color: rgb(23, 2, 63);
    border: 2px solid rgb(22, 22, 59);
    padding: 0.5rem 5rem;
	display: flex;
    justify-content: space-between;
    gap: 2rem;
}
.navigation {
	display: flex;
	gap: 2rem
}
.button.logo-home {
	padding: 0;
	display: flex;
	align-items: center;
	color: rgb(255, 255, 255);
    background-color: #332883db;
}


header img {
	width: 4rem;

}
header .user-buttons {
	display: flex;
    justify-content: flex-end;
    gap: 2rem;
}
footer {
    padding: 0.8rem 6rem;
    background: rgb(13, 2, 32);
    color: #4d3f97;
    font-size: 1.5rem;
    display: flex;
    justify-content: flex-end;
    border-top: 1px solid #16122f;
}
footer a {
    color: #8470e9;
    text-decoration: none;
    margin-left: 0.3rem;
}

#copyright {
    font-family: "Times New Roman";
    margin-left: 0.1rem;
}
#open-sketch, .open-sketch {
	border: 2.5px solid #8470e9;
}


main {
    flex: 1; /* stretching */
    display: flex;
    flex-direction: column;
    align-items: center;
}

/* WELCOME PAGE */
.main-layout {
    background: linear-gradient(to bottom right, #0a0c1c, #110233);
    display: flex;
    flex-direction: row;
    align-items: center;
    justify-content: space-between;
    gap: 4rem;
    width: 100%;
	padding: 5rem;
}

.main-layout .left-panel {
    max-width: 45%;
    text-align: left;
}

.main-layout .left-panel h1 {
    font-size: 5rem;
    color: #ffffff;
    text-shadow: 0 0 5px #ffffff, 0 0 10px #3b2daa;
    margin-bottom: 20px;
}

.main-layout .left-panel p {
    font-size: 2rem;
    line-height: 1.5;
    margin-bottom: 30px;
    color: #ddd;
}

.main-layout .action-buttons {
    display: flex;
    justify-content: flex-start;
	flex-wrap: wrap;
    gap: 2rem;
}

.main-layout .demo-container {
    max-width: 40rem;
    display: flex;
    justify-content: center;
    align-items: center;
}

.main-layout .demo-image {
    border: 2px solid #fff;
    border-radius: 5px;
    box-shadow: 0 0 15px rgba(255,255,255,0.2), 0 0 30px rgba(59,45,170,0.3);
    width: 100%;
    height: auto;
}



/* GALLERY */
#gallery header {
    margin-bottom: 3rem;
}
#gallery main {
    background: linear-gradient(to bottom right, #0a0c1c, #110233);
    display: flex;
    flex-direction: column;
    gap: 3rem;

}
.projects-gallery { 
    display: flex;
    flex-wrap: wrap;
    gap: 1rem;
    padding: 0 3rem 0 3rem;
    justify-content: space-around;
    
}

.project-card {
    display: flex;
    width: 35rem;
    flex-direction: column;
    justify-content: space-between;
    gap: 1rem;
    box-shadow: 0 0 30px rgba(82, 66, 203, 0.3);
    border-radius: 15px;
    padding: 2rem;
    font-size: 1.7rem;
}
.project-card.blank-card {
    box-shadow: none;
}
.project-card img {
    width: 100%;
	border-radius: 15px;
}
.bottom-project-card {
    display: flex;
    flex-direction: column;
    gap: 1rem;
}
.project-buttons {
    display: flex;
	gap: 1rem;
    border-width: 2.5px;
	justify-content: space-between;
}
.project-buttons .button {
    padding: 0.5rem 0.7rem;
    display: flex;
    align-items: center;
}
.delete-project {
	border: 2.5px solid #d65454;
	align-self: center;
}
.delete-project .trash {
    width: 2rem;
}

/* EDITOR PAGE */
body {
    background-color: rgb(15, 4, 34);
    color: white;
    min-height: 100vh;
}

#editor {
    background: linear-gradient(to bottom right, #0a0c1c, #110233);
	padding: 2rem;
    align-items: center;
    justify-content: space-between;
    gap: 1rem;
    width: 100%;
}
.file-icon {
    width: 2rem;
    height: auto;
    margin: 0;
    padding: 0;
    filter: invert(100%);
    -webkit-filter: invert(100%);
}

.file-button {
    display: inline-flex;
    align-items: center;
    justify-content: center;
    gap: 0.5rem;
    padding: 0.5rem 1.3rem;
    width: fit-content;
    white-space: nowrap;
}

#upload-container {
	display: flex;
	flex-direction: column;
	align-items: flex-start;
	gap: 2rem;
}

#options-and-editor {
	display: flex;
	gap: 3rem;
	justify-content: flex-start;
}
#options {
	display: flex;
	flex-direction: column;
	justify-content: space-between;
	gap: 2rem;
}
#options .button {
	padding: 0.5rem 1.3rem;
}
#controls {
	display: flex;
	flex-direction: column;
	gap: 2rem;
}

#output-options {
	display: flex;
	flex-direction: column;
	gap: 2rem;
}
/* #editor #open-sketch {
	margin-bottom: 0rem;
} */

input[type="number"],
select#palette-size-select {
    font-family: inherit;
    font-size: 2rem;
    color: #fff;
    background: rgba(46, 38, 93, 0.448);
    border: 1.5px solid #fff;
    border-radius: 5px;
	padding: 0.5rem 1.3rem;
    box-shadow: 0 0 5px rgba(255, 255, 255, 0.2),
                0 0 8px rgba(255, 255, 255, 0.2);
    cursor: pointer;
    transition: all 0.2s ease;
}

input[type="number"]:hover,
select#palette-size-select:hover {
    box-shadow: 0 0 8px rgba(255, 255, 255, 0.7),
                0 0 15px rgba(255, 255, 255, 0.2);
}


select#palette-size-select option {
    background-color: #0e0e2b; /*  dropdown background */
    color: #fff;
}


#comparison {
    width: 40vw;
    max-width: 50vw;
    height: auto;
    overflow: hidden;
    position: relative;
    aspect-ratio: 16/9;
}

#comparison figure {
    width: 100%;
    height: 100%;
    margin: 0;
    background-size: contain;
    background-repeat: no-repeat;
    background-position: center;
}

#divisor {
    height: 100%;
    width: 50%;
    overflow: hidden;
    background-size: 100% 100%;
    background-repeat: no-repeat;
    background-position: top left;
    box-shadow: 0 5px 10px -2px rgba(0, 0, 0, 0.3);
    position: absolute;
    top: 0;
    left: 0;
}

input[type="range"] {
    -webkit-appearance: none;
    -moz-appearance: none;
    width: 102%;
    position: relative;
    top: -2rem;
    left: -2%;
    background-color: rgba(255, 255, 255, 0.1);
}

input[type="range"]:focus {
    outline: none;
}

input[type="range"]::-webkit-slider-thumb {
    -webkit-appearance: none;
    width: 20px;
    height: 15px;
    background: #fff;
}

input[type="range"]::-moz-range-thumb {
    width: 20px;
    height: 15px;
    background: #fff;
}

/* MEDIA QUERIES */
/* INDEX */
@media (max-width: 1000px) {
	#controls {
		flex-direction: column;
		gap: 1rem;
	}
	
	#output-options {
		flex-direction: column;
		gap: 1.5rem;
	}
	#editor #open-sketch {
		/* margin-bottom: 1rem; */
	}
}
@media (max-width: 830px) {
	#controls {
		flex-direction: column;
		gap: 0.5rem;
	}
	
	#output-options {
		flex-direction: column;
	}
	#editor #open-sketch {
		/* margin-bottom: 0.5rem; */
	}
}
@media (max-width: 768px) {
    .main-layout {
        flex-direction: column;
        align-items: center;
		justify-content: flex-start;
    }
	.main-layout .left-panel {
		max-width: 100%;
	}
	.main-layout .demo-container {
		max-width: none;
		width: 100%;   
	}
    .demo-container img {
        width: 100%; 
    }
	#options-and-editor {
		flex-direction: column;
	}

	#comparison {
		width: 85vw;
		max-width: 85vw;
	}
	header .button {
		padding: 1rem 1.5rem;
		font-size: 1.5rem;
	}

	#controls {
		flex-direction: column;
		gap: 1.5rem;
	}
	
	#output-options {
		flex-direction: column;
		/* gap: 1.5rem; */
	}
	#editor #open-sketch {
		/* margin-bottom: 1.5rem; */
	}
	header .user-buttons {
		display: none;
	}
}


.hidden {
    display: none !important;
}